package com.caimei.entity;

import java.io.Serializable;
import java.util.List;

/**
 * 订单商品Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class CmMallOrderProduct implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer orderProductID;        // orderProductID
    private String orderNo;        // 主订单编号
    private Integer orderID;        // 主订单ID
    private Integer shopOrderID;        // 订单Id
    private String shopOrderNo;        // 子订单编号
    private Integer shopID;        // 供应商ID
    private Integer productID;        // 商品Id
    private Integer organizeProductID;        // 组织的商品Id
    private Integer organizeID;        // 组织Id
    private Integer num;        // 购买数量
    private Integer presentNum;        // 赠送数量
    private String outStoreType;        // 出库类型 0 采美出库  1 供应商出库
    private Integer skuID;        // skuId
    private String props;        // sku属性
    private String propName;        // 属性名
    private String productNo;        // 商品编号
    private Double price;        // 商品价格(协销 市场价 普通 购买价)
    private Double normalPrice;        // 市场价 = 商品表市场价
    private Double shopProductAmount;        // 商品费  =  成本价快照  *  (购买数量  + 赠品数量)
    private Double costPrice;        // 快照商品成本价格
    private Double price0;        // 记录普通用户购买时价格  活动价优先
    private Double price1;        // 记录会员用户购买时价格  活动价优先
    private Double totalAmount;        // 商品总价  = 价格X数量
    private Double discount;        // 折扣比例
    private Double discountPrice;        // 折后单价
    private Double taxRate;        // 后台设置该商品税率
    private Double addedValueTax;        // 单个税费=税率X折后单价
    private Double totalAddedValueTax;        // 总税费=单个税费X购买数量
    private Double shopFee;        // 该商品总的应付供应商金额
    private Double otherFee;        // 该商品总的应付第三方金额
    private Double cmFee;        // 该商品总的应付采美金额 (受赠品影响)
    private Double singleShopFee;        // 后台设置的单个应付供应商金额
    private Double singleOtherFee;        // 后台设置单个应付第三方金额
    private Double singleCmFee;        // 后台计算的单个应付采美金额
    private Double shouldPayFee;        // 总的应付金额
    private Double totalFee;        // 订单总价  = 价格X数量 + 税费
    private Double totalBeans;        // 获取到的总采美豆值
    private Double useBalanceAmount;        // 使用余额金额
    private Double preferential;        //优惠金额
    private String commentFlag;        // 是否已评论：1是，空或0未评论
    private Integer useBeanAmount;        // 使用采美豆数量
    private Integer notOutStore;        // 未出库数量
    private Integer cmbeanPrice;        // 当前采美豆专区价格(采美豆)
    private String isGiftProduct;        // 是否是赠品：0:不是，1：是
    private String productActInfo;        // 活动信息 已享受满XX减XX 之类
    private String buyAgainFlag;        // 订单商品再次购买标识 0否 1是
    private String confirmProductFlag;        // 订单商品供应商确认标志 0否 1是
    private String payStatus;        // 支付状态 0 未付款 1 已付款
    private Integer status;           //订单商品状态
    private String shopName;        // 供应商名称
    private String name;        // 商品名称
    private Double discountFee; //经理折扣平分
    private String isActProduct;//是否活动商品 0不是 1是
    private String actType;//活动类型
    private Double actPreferential;//活动优惠金额
    private String productImage; //商品图片
    private String productUnit;  //商品规格
    private Integer deliveryNum; // 发货数量
    private String logisticsBatchID; // 发货批次ID
    private Integer outStoreTimes;  // 发货批次
    private String delFlag;
    private String needSnCode;//是否需要Sn码： 0不需要  1需要填写sn码
    private String productSnCode;//商品sn编码，一个订单商品存在多个编码用，隔开
    private Integer receivedNum;    //已收数量
    private Integer returningNum;   //退货退款中数量
    private Integer returnedNum;   //已退数量
    private Double shouldPayTotalTax;//  decimal(20,6) comment '总增值税（应付税费）',
    private Integer cancelNum;  //退货退款取消数量

    public Integer getOrderProductID() {
        return orderProductID;
    }

    public void setOrderProductID(Integer orderProductID) {
        this.orderProductID = orderProductID;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public String getShopOrderNo() {
        return shopOrderNo;
    }

    public void setShopOrderNo(String shopOrderNo) {
        this.shopOrderNo = shopOrderNo;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public Integer getProductID() {
        return productID;
    }

    public void setProductID(Integer productID) {
        this.productID = productID;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getPresentNum() {
        return presentNum;
    }

    public void setPresentNum(Integer presentNum) {
        this.presentNum = presentNum;
    }

    public String getOutStoreType() {
        return outStoreType;
    }

    public void setOutStoreType(String outStoreType) {
        this.outStoreType = outStoreType;
    }

    public Integer getSkuID() {
        return skuID;
    }

    public void setSkuID(Integer skuID) {
        this.skuID = skuID;
    }

    public String getProps() {
        return props;
    }

    public void setProps(String props) {
        this.props = props;
    }

    public String getPropName() {
        return propName;
    }

    public void setPropName(String propName) {
        this.propName = propName;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Double getNormalPrice() {
        return normalPrice;
    }

    public void setNormalPrice(Double normalPrice) {
        this.normalPrice = normalPrice;
    }

    public Double getShopProductAmount() {
        return shopProductAmount;
    }

    public void setShopProductAmount(Double shopProductAmount) {
        this.shopProductAmount = shopProductAmount;
    }

    public Double getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(Double costPrice) {
        this.costPrice = costPrice;
    }

    public Double getPrice0() {
        return price0;
    }

    public void setPrice0(Double price0) {
        this.price0 = price0;
    }

    public Double getPrice1() {
        return price1;
    }

    public void setPrice1(Double price1) {
        this.price1 = price1;
    }

    public Double getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(Double totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Double getDiscount() {
        return discount;
    }

    public void setDiscount(Double discount) {
        this.discount = discount;
    }

    public Double getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(Double discountPrice) {
        this.discountPrice = discountPrice;
    }

    public Double getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(Double taxRate) {
        this.taxRate = taxRate;
    }

    public Double getAddedValueTax() {
        return addedValueTax;
    }

    public void setAddedValueTax(Double addedValueTax) {
        this.addedValueTax = addedValueTax;
    }

    public Double getTotalAddedValueTax() {
        return totalAddedValueTax;
    }

    public void setTotalAddedValueTax(Double totalAddedValueTax) {
        this.totalAddedValueTax = totalAddedValueTax;
    }

    public Double getShopFee() {
        return shopFee;
    }

    public void setShopFee(Double shopFee) {
        this.shopFee = shopFee;
    }

    public Double getOtherFee() {
        return otherFee;
    }

    public void setOtherFee(Double otherFee) {
        this.otherFee = otherFee;
    }

    public Double getCmFee() {
        return cmFee;
    }

    public void setCmFee(Double cmFee) {
        this.cmFee = cmFee;
    }

    public Double getSingleShopFee() {
        return singleShopFee;
    }

    public void setSingleShopFee(Double singleShopFee) {
        this.singleShopFee = singleShopFee;
    }

    public Double getSingleOtherFee() {
        return singleOtherFee;
    }

    public void setSingleOtherFee(Double singleOtherFee) {
        this.singleOtherFee = singleOtherFee;
    }

    public Double getSingleCmFee() {
        return singleCmFee;
    }

    public void setSingleCmFee(Double singleCmFee) {
        this.singleCmFee = singleCmFee;
    }

    public Double getShouldPayFee() {
        return shouldPayFee;
    }

    public void setShouldPayFee(Double shouldPayFee) {
        this.shouldPayFee = shouldPayFee;
    }

    public Double getTotalFee() {
        return totalFee;
    }

    public void setTotalFee(Double totalFee) {
        this.totalFee = totalFee;
    }

    public Double getTotalBeans() {
        return totalBeans;
    }

    public void setTotalBeans(Double totalBeans) {
        this.totalBeans = totalBeans;
    }

    public Double getUseBalanceAmount() {
        return useBalanceAmount;
    }

    public void setUseBalanceAmount(Double useBalanceAmount) {
        this.useBalanceAmount = useBalanceAmount;
    }

    public Double getPreferential() {
        return preferential;
    }

    public void setPreferential(Double preferential) {
        this.preferential = preferential;
    }

    public String getCommentFlag() {
        return commentFlag;
    }

    public void setCommentFlag(String commentFlag) {
        this.commentFlag = commentFlag;
    }

    public Integer getUseBeanAmount() {
        return useBeanAmount;
    }

    public void setUseBeanAmount(Integer useBeanAmount) {
        this.useBeanAmount = useBeanAmount;
    }

    public Integer getNotOutStore() {
        return notOutStore;
    }

    public void setNotOutStore(Integer notOutStore) {
        this.notOutStore = notOutStore;
    }

    public Integer getCmbeanPrice() {
        return cmbeanPrice;
    }

    public void setCmbeanPrice(Integer cmbeanPrice) {
        this.cmbeanPrice = cmbeanPrice;
    }

    public String getIsGiftProduct() {
        return isGiftProduct;
    }

    public void setIsGiftProduct(String isGiftProduct) {
        this.isGiftProduct = isGiftProduct;
    }

    public String getProductActInfo() {
        return productActInfo;
    }

    public void setProductActInfo(String productActInfo) {
        this.productActInfo = productActInfo;
    }

    public String getBuyAgainFlag() {
        return buyAgainFlag;
    }

    public void setBuyAgainFlag(String buyAgainFlag) {
        this.buyAgainFlag = buyAgainFlag;
    }

    public String getConfirmProductFlag() {
        return confirmProductFlag;
    }

    public void setConfirmProductFlag(String confirmProductFlag) {
        this.confirmProductFlag = confirmProductFlag;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getDiscountFee() {
        return discountFee;
    }

    public void setDiscountFee(Double discountFee) {
        this.discountFee = discountFee;
    }

    public String getIsActProduct() {
        return isActProduct;
    }

    public void setIsActProduct(String isActProduct) {
        this.isActProduct = isActProduct;
    }

    public String getActType() {
        return actType;
    }

    public void setActType(String actType) {
        this.actType = actType;
    }

    public Double getActPreferential() {
        return actPreferential;
    }

    public void setActPreferential(Double actPreferential) {
        this.actPreferential = actPreferential;
    }

    public String getProductImage() {
        return productImage;
    }

    public void setProductImage(String productImage) {
        this.productImage = productImage;
    }

    public String getProductUnit() {
        return productUnit;
    }

    public void setProductUnit(String productUnit) {
        this.productUnit = productUnit;
    }

    public Integer getDeliveryNum() {
        return deliveryNum;
    }

    public void setDeliveryNum(Integer deliveryNum) {
        this.deliveryNum = deliveryNum;
    }

    public String getLogisticsBatchID() {
        return logisticsBatchID;
    }

    public void setLogisticsBatchID(String logisticsBatchID) {
        this.logisticsBatchID = logisticsBatchID;
    }

    public Integer getOutStoreTimes() {
        return outStoreTimes;
    }

    public void setOutStoreTimes(Integer outStoreTimes) {
        this.outStoreTimes = outStoreTimes;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getNeedSnCode() {
        return needSnCode;
    }

    public void setNeedSnCode(String needSnCode) {
        this.needSnCode = needSnCode;
    }

    public String getProductSnCode() {
        return productSnCode;
    }

    public void setProductSnCode(String productSnCode) {
        this.productSnCode = productSnCode;
    }

    public Integer getReceivedNum() {
        return receivedNum;
    }

    public void setReceivedNum(Integer receivedNum) {
        this.receivedNum = receivedNum;
    }

    public Integer getReturningNum() {
        return returningNum;
    }

    public void setReturningNum(Integer returningNum) {
        this.returningNum = returningNum;
    }

    public Integer getReturnedNum() {
        return returnedNum;
    }

    public void setReturnedNum(Integer returnedNum) {
        this.returnedNum = returnedNum;
    }

    public Double getShouldPayTotalTax() {
        return shouldPayTotalTax;
    }

    public void setShouldPayTotalTax(Double shouldPayTotalTax) {
        this.shouldPayTotalTax = shouldPayTotalTax;
    }

    public Integer getCancelNum() {
        return cancelNum;
    }

    public void setCancelNum(Integer cancelNum) {
        this.cancelNum = cancelNum;
    }

    public Integer getOrganizeProductID() {
        return organizeProductID;
    }

    public void setOrganizeProductID(Integer organizeProductID) {
        this.organizeProductID = organizeProductID;
    }

    public Integer getOrganizeID() {
        return organizeID;
    }

    public void setOrganizeID(Integer organizeID) {
        this.organizeID = organizeID;
    }
}
