package com.caimei.mapper.order;

import com.caimei.entity.CmMallOrderProduct;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface OrderProductMapper {

    CmMallOrderProduct get(@Param("orderProductID") Integer orderProductID);

    List<CmMallOrderProduct> findList(CmMallOrderProduct cmMallOrderProduct);

    int delete(@Param("orderProductID") Integer orderProductID);

    int update(CmMallOrderProduct cmMallOrderProduct);

    int delete(CmMallOrderProduct cmMallOrderProduct);

    int insert(CmMallOrderProduct cmMallOrderProduct);

    List<CmMallOrderProduct> findByIds(String[] ids);

    List<CmMallOrderProduct> findByIdsAndOrderId(@Param("ids") String[] split, @Param("orderID") Integer orderId);

    List<CmMallOrderProduct> findByOrderIdGroupByShopId(@Param("orderID") Long orderId);

    List<CmMallOrderProduct> findByShopIdGroupByOrderId(@Param("shopID") Integer shopId);

    // 查询供应商都确认的订单商品的list
    List<CmMallOrderProduct> findOrderProductGroup(@Param("shopID") Integer shopId);

    int shopConfirmProduct(@Param("shopID") Integer shopId, @Param("orderID") Integer orderId);

    Integer getUnCommentNum(@Param("shopOrderID") Integer shopOrderID);

    List<CmMallOrderProduct> getOrderProductDetail(@Param("shopOrderID") Integer shopOrderID);

    String getIdsByOrderID(@Param("orderID") Integer orderID);

    CmMallOrderProduct findByOrderProductID(@Param("orderProductID") Integer orderProductID);

    Integer getReturningNum(@Param("orderProductID") Integer orderProductID);

    Integer getReturnedNum(@Param("orderProductID") Integer orderProductID);

    Integer getCanceledNum(@Param("orderProductID") Integer orderProductID);

    Integer getReceivedNum(@Param("orderProductID") Integer orderProductID);

}
