package com.caimei.mapper.user;

import com.caimei.entity.CmMallUserBalanceRecord;
import com.caimei.entity.CmMallUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CmMallUserMapper {

	/**
	 * 通过用户Id获取用户信息
	 * @param userId
	 * @return
	 */
	CmMallUser findUserById(@Param("userId") Integer userId);

	/**
	 * 更新用户可用余额
	 * @param cmMallUser
	 */
    void updateAbleUserMoney(CmMallUser cmMallUser);

	/**
	 * 更新用户余额
	 * @param cmMallUser
	 */
	void updateUserMoney(CmMallUser cmMallUser);

	/**
	 * 插入用户余额使用记录
	 * @param cmMallUserBalanceRecord
	 * @return
	 */
	int insertUserBalanceRecord(CmMallUserBalanceRecord cmMallUserBalanceRecord);

	/**
	 * 更新用户余额记录
	 * @param cmMallUserBalanceRecord
	 * @return
	 */
	int updateBalanceRecord(CmMallUserBalanceRecord cmMallUserBalanceRecord);
}