package com.caimei.service.search.impl;

import com.caimei.entity.CmMallOrder;
import com.caimei.entity.CmMallOrganizeProducts;
import com.caimei.entity.CmMallProductLadderPrice;
import com.caimei.entity.CmMallProductSearchHistory;
import com.caimei.mapper.search.SearchMapper;
import com.caimei.service.search.SearchService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class SearchServiceImpl implements SearchService {
    @Autowired
    private SearchMapper searchMapper;

    @Override
    public List<CmMallOrganizeProducts> searchProduct(Integer organizeID, String searchWord) {
        List<CmMallOrganizeProducts> productsList = searchMapper.searchProduct(organizeID, searchWord);
        return productsList;
    }

    @Override
    public void deleteProductRecord(Integer organizeID, String openID) {
        searchMapper.deleteProductRecord(organizeID, openID);
    }

    @Override
    public void saveProductRecord(Integer organizeID, String searchWord, String openID) {
        CmMallProductSearchHistory productSearchHistory = new CmMallProductSearchHistory();
        productSearchHistory.setOpenID(openID);
        productSearchHistory.setDelFlag("0");
        productSearchHistory.setOrganizeID(organizeID);
        productSearchHistory.setSearchDate(new Date());
        productSearchHistory.setSearchWord(searchWord);
        searchMapper.saveProductRecord(productSearchHistory);
    }

    @Override
    public List<CmMallProductSearchHistory> findProductRecord(Integer organizeID, String openID) {
        return searchMapper.findProductRecord(organizeID, openID);
    }

    @Override
    public CmMallProductLadderPrice findLadderPrice(Integer id) {
        return searchMapper.findLadderPrice(id);
    }

    @Override
    public void deleteRecord(Integer organizeID, String openID) {
        searchMapper.deleteRecord(organizeID, openID);
    }

    @Override
    public CmMallProductSearchHistory findAllProductRecord(Integer organizeID, String searchWord, String openID) {
        return searchMapper.findAllProductRecord(organizeID, openID, searchWord);
    }

    @Override
    public void updateProductRecord(Integer organizeID, String searchWord, String openID) {
        CmMallProductSearchHistory productSearchHistory = new CmMallProductSearchHistory();
        productSearchHistory.setOpenID(openID);
        productSearchHistory.setOrganizeID(organizeID);
        productSearchHistory.setSearchDate(new Date());
        productSearchHistory.setSearchWord(searchWord);
        searchMapper.updateProductRecord(productSearchHistory);
    }

    @Override
    public CmMallProductSearchHistory findAllOrderRecord(Integer organizeID, String searchWord, String openID) {
        return searchMapper.findAllOrderRecord(organizeID, openID, searchWord);
    }

    @Override
    public void saveOrderRecord(Integer organizeID, String searchWord, String openID) {
        CmMallProductSearchHistory orderSearchHistory = new CmMallProductSearchHistory();
        orderSearchHistory.setOpenID(openID);
        orderSearchHistory.setDelFlag("0");
        orderSearchHistory.setOrganizeID(organizeID);
        orderSearchHistory.setSearchDate(new Date());
        orderSearchHistory.setSearchWord(searchWord);
        searchMapper.saveOrderRecord(orderSearchHistory);
    }

    @Override
    public void deleteOrderRecord(Integer organizeID, String openID) {
        searchMapper.deleteOrderRecord(organizeID, openID);
    }

    @Override
    public void updateOrderRecord(Integer organizeID, String searchWord, String openID) {
        CmMallProductSearchHistory orderSearchHistory = new CmMallProductSearchHistory();
        orderSearchHistory.setOpenID(openID);
        orderSearchHistory.setOrganizeID(organizeID);
        orderSearchHistory.setSearchDate(new Date());
        orderSearchHistory.setSearchWord(searchWord);
        searchMapper.updateOrderRecord(orderSearchHistory);
    }

    @Override
    public List<CmMallOrder> searchOrder(Integer organizeID, String searchWord, Integer userID) {
        List<CmMallOrder> orderList = searchMapper.searchOrder(organizeID, searchWord, userID);
        return orderList;
    }

    @Override
    public List<CmMallProductSearchHistory> findOrderRecord(Integer organizeID, String openID) {
        return searchMapper.findOrderRecord(organizeID, openID);
    }

    @Override
    public void deleteSearchHistory(Integer organizeID, String openID) {
        searchMapper.deleteSearchHistory(organizeID, openID);
    }
}
